using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class ShotBar : MonoBehaviour {
    public Slider slider;

    void Awake()
    {
        Observer.shotBarHandler += OnShotBar;
    }

    void OnShotBar(float value)
    {
        slider.value = value;
    }
}
